Fetch Gift Cards

Returns all of the active gift cards of a user

Headers
  • x-pch-digest
    Type: string
    required

    The signature for the API call

  • Authorization
    Type: string
    required

    Used to authorize the request with access_token. It should be supplied as Bearer ACCESS_TOKEN_GOES_HERE.

  • Accept
    Type: string
    required

    Advertises which content types the client is able to understand

  • Accept-Language
    Type: string

    Preferred language

  • Content-Type
    Type: string
    required

    Set this header to application/json.

  • User-Agent
    Type: string
    required

    Used to identify the software, device, and application initiating the request, providing information about the client to the server. For details, see User Agent.

Body
application/json
  • client
    Type: string
    required

    OAuth client ID provided by the business

  • passcode
    Type: string
    required

    Passcode is a secondary authentication PIN that must be passed if it is enabled for a business. It can be turned on/off from the Punchh platform.

Responses
  • application/json
Request Example for get/api2/mobile/gift_cards/
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/mobile/gift_cards/ \
  --header 'x-pch-digest: {{$$.env.signature}}' \
  --header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
  --header 'Accept: application/json' \
  --header 'Accept-Language: en' \
  --header 'Content-Type: application/json' \
  --header 'User-Agent: AppName/AppVersion/BuildNumber (OS; Model; MANUFACTURER; MODEL; OS Version)' \
  --data '{
  "client": "CLIENT_GOES_HERE",
  "passcode": "123456"
}'
[
  {
    "card_background_image": "IMAGE_URL_GOES_HERE",
    "card_number": "CARD_NUMBER_GOES_HERE",
    "epin": "EPIN_GOES_HERE",
    "usb_scannable_card_number": "CARD_NUMBER_GOES_HERE",
    "created_at": "2016-05-12T03:54:45-06:00",
    "design_id": 1,
    "preferred": true,
    "name": "My first card",
    "last_fetched_amount": 42,
    "last_fetched_at": "2016-05-12T04:44:01-06:00",
    "status": "active",
    "type": null,
    "updated_at": "2016-05-12T04:44:01-06:00",
    "users": [
      {
        "user_id": 111111111,
        "email": "test@example.com",
        "first_name": "FIRST_NAME_GOES_HERE",
        "last_name": "LAST_NAME_GOES_HERE",
        "fb_uid": null,
        "avatar_remote_url": null,
        "state": "owner"
      }
    ],
    "uuid": "ID_GOES_HERE",
    "gift_card_id": "ID_GOES_HERE"
  },
  {
    "card_background_image": "IMAGE_URL_GOES_HERE",
    "card_number": "CARD_NUMBER_GOES_HERE",
    "epin": "EPIN_GOES_HERE",
    "usb_scannable_card_number": "CARD_NUMBER_GOES_HERE",
    "created_at": "2016-05-13T06:15:44-06:00",
    "design_id": 1,
    "preferred": false,
    "name": "My second card",
    "last_fetched_amount": 50,
    "last_fetched_at": "2016-05-13T06:15:45-06:00",
    "status": "active",
    "type": null,
    "updated_at": "2016-05-13T06:15:46-06:00",
    "users": [
      {
        "user_id": 111111111,
        "email": "test@example.com",
        "first_name": "FIRST_NAME_GOES_HERE",
        "last_name": "LAST_NAME_GOES_HERE",
        "fb_uid": null,
        "avatar_remote_url": null,
        "state": "shared"
      },
      {
        "user_id": 111111111,
        "email": "test@example.com",
        "first_name": "FIRST_NAME_GOES_HERE",
        "last_name": "LAST_NAME_GOES_HERE",
        "fb_uid": null,
        "avatar_remote_url": null,
        "state": "owner"
      }
    ],
    "uuid": "ID_GOES_HERE",
    "gift_card_id": "ID_GOES_HERE",
    "auto_reload_enabled": true,
    "gc_user_auto_reload_threshold_amount": 50,
    "gc_user_auto_reload_default_amount": 50,
    "gc_user_auto_reload_preferred_payment": "PAYMENT_CARD_UUID_GOES_HERE"
  }
]